На головну

Implementation

  1. Implementation
  2. Implementation
  3. Implementation

// Своя процедура запуску

procedure Run;

Var

form: TMainForm; // Посилання на форму

Begin

// Робимо нашу форму дочірньої формою компас

Application.Handle: = kompas.ksGetHWindow;

// Закрити доступ до компасу

kompas.ksEnableTaskAccess (0);

// Створюємо форму

form: = TMainForm.Create (Application);

// Вивід форми

form.ShowModal;

// Відкрити доступ до компасу

kompas.ksEnableTaskAccess (1);

// Відключаємо нашу форму від компаса

Application.Handle: = 0

end;

// ------------------------------------------------ -

functionLIBRARYNAME: PChar; pascal;

Begin

// Довільне назву бібліотеки

Result: = 'Відрізок'

end;

// ------------------------------------------------ --------------------

function LIBRARYID: UINT; pascal;

Begin

// Довільний ідентифікатор від 100 і вище

Result: = 100;

end;

// ------------------------------------------------ ---------------------

procedureLIBRARYENTRY (command: WORD); pascal;

Begin

// Пов'язуємо змінну Kompas з API компас

Kompas: = KompasObject (CreateKompasObject);

// Якщо все в порядку ...

if Kompas <> nil then

Begin

// Пов'язуємо змінну iDocument2D з поточним 2D документом

iDocument2D: = ksDocument2D (Kompas.ActiveDocument2D ());

ifiDocument2D = nil then

// повідомлення про помилку

Kompas.ksMessage ( 'Поточний документ не є кресленням або фрагментом')

Else

Begin

// Своя процедура запуску бібліотеки

Run;

Kompas.ksMessage ( 'Робота бібліотеки завершена')

end;

// Звільнення пам'яті

iDocument2D: = nil;

end;

Kompas: = nil

end;

end.

Процедура LibraryEntry може отримувати на вхід цілочисельний параметр, задіяний при виклику бібліотеки з пунктів меню або з панелі інструментів. Нам він поки не знадобиться. Усередині процедури виконується перевірка - чи є поточний документ 2D-документом. Ми поки не можемо користуватися ніякими засобами Delphi для введення-виведення, тому повідомлення виводяться викликом методу ksMessage об'єкта Kompas, тобто засобами самого компас.

Створимо форму (File?New?Form) і збережемо новий модуль під ім'ям former1.pas. Збережемо проект. Самій формі дамо ім'я OTREZOK. У цьому модулі ми створимо форму для введення початкових значень і після натискання на кнопку «Побудувати» створимо в поточному кресленні вид1 і побудуємо відрізок.

unit former1;




Компонент класу TLabel | Компонент класу TLabeledEdit | Компонент класу TListBox | Компонент класу TRadioGroup | Обробка файлів | Then begin | Interface | Копія тексту Anketa.doc | Теоретична частина | відрізок |

© um.co.ua - учбові матеріали та реферати